Skip to main content
`Ctrl`+`K`

# SVDGetOperators

Get the matrices associated with the singular value problem.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDGetOperators(SVD svd,Mat *A,Mat *B)

Collective

## Input Parameter

- svd - the singular value solver context

## Output Parameters

- A - the matrix associated with the singular value problem

- B - the second matrix in the case of GSVD

## See Also

SVD: Singular Value Decomposition, `SVDSolve()`, `SVDSetOperators()`

## Level

intermediate

## Location

src/svd/interface/svdsetup.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages